Package com.google.android.exoplayer2.extractor

## Class CeaUtil

- java.lang.Object
- - com.google.android.exoplayer2.extractor.CeaUtil

-     public final class CeaUtil
      extends Object

  Utility methods for handling CEA-608/708 messages. Defined in A/53 Part 4:2009.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `USER_DATA_IDENTIFIER_GA94` |
    `static int` | `USER_DATA_TYPE_CODE_MPEG_CC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `consume​(long presentationTimeUs, ParsableByteArray seiBuffer, TrackOutput[] outputs)` | Consumes the unescaped content of an SEI NAL unit, writing the content of any CEA-608/708 messages as samples to all of the provided outputs.
    `static void` | `consumeCcData​(long presentationTimeUs, ParsableByteArray ccDataBuffer, TrackOutput[] outputs)` | Consumes caption data (cc_data), writing the content as samples to all of the provided outputs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_DATA_IDENTIFIER_GA94

          public static final int USER_DATA_IDENTIFIER_GA94

      See Also:
        Constant Field Values

    - #### USER_DATA_TYPE_CODE_MPEG_CC

          public static final int USER_DATA_TYPE_CODE_MPEG_CC

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### consume

          public static void consume​(long presentationTimeUs,
                                     ParsableByteArray seiBuffer,
                                     TrackOutput[] outputs)

      Consumes the unescaped content of an SEI NAL unit, writing the content of any CEA-608/708 messages as samples to all of the provided outputs.
      Parameters:
        `presentationTimeUs` - The presentation time in microseconds for any samples.
        `seiBuffer` - The unescaped SEI NAL unit data, excluding the NAL unit start code and type.
        `outputs` - The outputs to which any samples should be written.

    - #### consumeCcData

          public static void consumeCcData​(long presentationTimeUs,
                                           ParsableByteArray ccDataBuffer,
                                           TrackOutput[] outputs)

      Consumes caption data (cc_data), writing the content as samples to all of the provided outputs.
      Parameters:
        `presentationTimeUs` - The presentation time in microseconds for any samples.
        `ccDataBuffer` - The buffer containing the caption data.
        `outputs` - The outputs to which any samples should be written.